<?php
/**********************************************************************
***********************************************************************/
$page_security = 'SA_GLTRANSVIEW';
$path_to_root = "../..";

include_once($path_to_root . "/includes/session.inc");
include_once($path_to_root . "/includes/date_functions.inc");
include_once($path_to_root . "/includes/data_checks.inc");
include_once($path_to_root . "/includes/ui.inc");
include_once($path_to_root . "/projects/includes/db/projects_db.inc");
include_once($path_to_root . "/gl/includes/db/financial_integration_inquiry_db.inc");
include_once($path_to_root . "/gl/includes/fi/db/generate_fi_accounting_entries_db.inc");
include_once($path_to_root . "/gl/includes/ui/view_gl_batch_ui.inc");
include_once($path_to_root . "/gl/includes/ui/gl_trans_view_ui.inc");
include_once($path_to_root . "/gl/includes/db/print_cheques_db.inc");


$js = "";
if ($SysPrefs->use_popup_windows)
	$js .= get_js_open_window(800, 500);

global $systypes_array;

$gl_batch_no = 0;
if ($_GET['trans_no'] != "")
{
    $gl_batch_no = $_GET['trans_no'];
}

//$type_id = -1;

$gl_batch = get_gl_batch_record($gl_batch_no);
$type_id = $gl_batch['gl_batch_type'];

//if ($_GET['type_id'] != "")
//{
//    $type_id = $_GET['type_id'];
//}

page(_($help_context = $systypes_array[$type_id]), true, false, "", $js);

//-------------------------------------------------------------------------------------------------



display_gl_batch_header_view($gl_batch_no);

//br();

//display_gl_view_transactions($type_id, $gl_batch_no);
        
        
end_page(true, false, false, null, $gl_batch_no);



?>
